QuantLib: DeltaVolQuote Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Types | Public Member Functions | List of all members
DeltaVolQuote Class Reference

Class for the quotation of delta vs vol. More...

`#include <ql/experimental/fx/deltavolquote.hpp>`

Inheritance diagram for DeltaVolQuote:
[legend]

## Public Types
enum | DeltaType { Spot, Fwd, PaSpot, PaFwd }
enum | AtmType { AtmNull, AtmSpot, AtmFwd, AtmDeltaNeutral, AtmVegaMax, AtmGammaMax, AtmPutCall50 }
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Public Member Functions
| DeltaVolQuote (Real delta, const Handle< Quote > &vol, Time maturity, DeltaType deltaType)
| DeltaVolQuote (const Handle< Quote > &vol, DeltaType deltaType, Time maturity, AtmType atmType)
void | update ()
Real | value () const
| returns the current value
Real | delta () const
Time | maturity () const
AtmType | atmType () const
DeltaType | deltaType () const
bool | isValid () const
| returns true if the Quote holds a valid value
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Detailed Description

Class for the quotation of delta vs vol.

It includes the various delta quotation types in FX markets as well as ATM types.

## Member Function Documentation

## ◆ update()

void update | ( |  | ) |
| virtual

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.